import { BaseXform } from "../base-xform.js";
interface Margins {
    inset?: number[] | string;
}
interface NoteModel {
    margins?: Margins;
}
interface TextboxModel {
    note?: NoteModel;
    inset?: number[];
}
declare class VmlTextboxXform extends BaseXform<TextboxModel> {
    constructor();
    get tag(): string;
    conversionUnit(value: string | number, multiple: number, unit: string): string;
    reverseConversionUnit(inset?: string): number[];
    render(xmlStream: any, model: TextboxModel): void;
    parseOpen(node: any): boolean;
    parseText(): void;
    parseClose(name: string): boolean;
}
export { VmlTextboxXform };
